﻿// ------------------------------------------------------------------------------
// <copyright file="DateTimeEventArgs.cs" company="skumaronline.com">
//    Copyright (C) 2012 Suresh Kumar T.
//
//    This program is free software; you can redistribute it and/or
//    modify it under the terms of the GNU General Public License
//    as published by the Free Software Foundation version 2
//    of the License.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    http://www.gnu.org/licenses/gpl-2.0.html
//
// </copyright>
// ------------------------------------------------------------------------------

namespace StoreAppLib.Controls
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Threading.Tasks;

    /// <summary>
    /// Date time event argument
    /// </summary>
    public class DateTimeEventArgs : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DateTimeEventArgs" /> class
        /// </summary>
        /// <param name="selectedDate">Selected Date</param>
        internal DateTimeEventArgs(DateTime selectedDate)
        {
            this.Cancel = false;
            this.DateTime = selectedDate;
        }

        /// <summary>
        /// Gets or sets a value indicating whether to cancel date selection
        /// </summary>
        public bool Cancel { get; set; }

        /// <summary>
        /// Gets date time
        /// </summary>
        public DateTime DateTime { get; private set; }
    }
}
