﻿// ------------------------------------------------------------------------------
// <copyright file="ConcatenationParameter.cs" company="EGIT">
//    Copyright (C) 2012 Suresh Kumar T.
//
//    This program is free software; you can redistribute it and/or
//    modify it under the terms of the GNU General Public License
//    as published by the Free Software Foundation version 2
//    of the License.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    http://www.gnu.org/licenses/gpl-2.0.html
//
// </copyright>
// ------------------------------------------------------------------------------

namespace StoreAppLib.Converters
{
    /// <summary>
    /// Concatenation parameter
    /// </summary>
    public class ConcatenationParameter
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ConcatenationParameter" /> class.
        /// </summary>
        public ConcatenationParameter()
        {
            this.Distinct = true;
            this.Separator = ",";
        }

        /// <summary>
        /// Gets or sets separator
        /// </summary>
        public string Separator { get; set; }

        /// <summary>
        /// Gets or sets property name. Use dot to represent nested property.
        /// </summary>
        public string Property { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether distinct value is to be used
        /// </summary>
        public bool Distinct { get; set; }
    }
}
