﻿// ------------------------------------------------------------------------------
// <copyright file="CountParameter.cs" company="EGIT">
//    Copyright (C) 2012 Suresh Kumar T.
//
//    This program is free software; you can redistribute it and/or
//    modify it under the terms of the GNU General Public License
//    as published by the Free Software Foundation version 2
//    of the License.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    http://www.gnu.org/licenses/gpl-2.0.html
//
// </copyright>
// ------------------------------------------------------------------------------

namespace StoreAppLib.Converters
{
    /// <summary>
    /// Count parameter
    /// </summary>
    public class CountParameter
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="CountParameter" /> class.
        /// </summary>
        public CountParameter()
        {
            this.Distinct = true;
        }

        /// <summary>
        /// Gets or sets property name. For nested collections, use dot as separator
        /// </summary>
        public string Property { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether distinct count is to calculated
        /// </summary>
        public bool Distinct { get; set; }
    }
}
