﻿// ------------------------------------------------------------------------------
// <copyright file="ChartItemClickEventArgs.cs" company="skumaronline.com">
//    Copyright (C) 2012 Suresh Kumar T.  All rights reserved.
// </copyright>
// ------------------------------------------------------------------------------

namespace StoreAppLib.Graph
{
    /// <summary>
    /// Chart item click event argument
    /// </summary>
    public class ChartItemClickEventArgs
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ChartItemClickEventArgs"/> class"
        /// </summary>
        /// <param name="item">The item</param>
        public ChartItemClickEventArgs(object item)
        {
            this.Item = item;
            this.Handled = false;
        }

        /// <summary>
        /// Prevents a default instance of the <see cref="ChartItemClickEventArgs"/> class from being created
        /// </summary>
        private ChartItemClickEventArgs()
        {
        }

        /// <summary>
        /// Gets the series item.
        /// </summary>
        /// <value>
        /// The series.
        /// </value>
        public object Item { get; private set; }

        /// <summary>
        /// Gets or sets a value indicating whether the event is handled.
        /// </summary>
        /// <value>
        /// The event handled.
        /// </value>
        public bool Handled { get; set; }
    }
}
