﻿// ------------------------------------------------------------------------------
// <copyright file="GlobalNavigationEventArgs.cs" company="skumaronline.com">
//    Copyright (C) 2012 Suresh Kumar T.
//
//    This program is free software; you can redistribute it and/or
//    modify it under the terms of the GNU General Public License
//    as published by the Free Software Foundation version 2
//    of the License.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    http://www.gnu.org/licenses/gpl-2.0.html
//
// </copyright>
// ------------------------------------------------------------------------------

namespace StoreAppLib.Controls
{
    using System;
    using Windows.UI.Xaml.Controls;

    /// <summary>
    /// Global menu navigation argument
    /// </summary>
    public sealed class GlobalNavigationEventArgs : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="GlobalNavigationEventArgs" /> class
        /// </summary>
        /// <param name="frame">Navigation frame</param>
        internal GlobalNavigationEventArgs(Frame frame)
        {
            this.Cancel = false;
            this.Frame = frame;
        }

        /// <summary>
        /// Gets or sets navigation parameter to be passed from "Navigating From" page to "Navigation To" page
        /// </summary>
        public object NavigationParamenter { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether to cancel global navigation
        /// </summary>
        public bool Cancel { get; set; }

        /// <summary>
        /// Gets or sets Navigation frame
        /// </summary>
        public Frame Frame { get; set; }
    }
}
