﻿// ------------------------------------------------------------------------------
// <copyright file="Company.cs" company="skumaronline.com">
//    Copyright (C) 2012 Suresh Kumar T.  All rights reserved.
// </copyright>
// ------------------------------------------------------------------------------

namespace StoreAppLibDemo.Model
{
    using System.Collections.ObjectModel;
    using StoreAppLib;
    
    /// <summary>
    /// Sample data class - Company
    /// </summary>
    public class Company : BindableBase
    {
        /// <summary>
        /// Variable to hold the company name.
        /// </summary>
        private string name;

        /// <summary>
        /// Variable to hold the departments.
        /// </summary>
        private ObservableCollection<Department> departments;

        /// <summary>
        /// Gets or sets the departments.
        /// </summary>
        /// <value>
        /// The departments.
        /// </value>
        public ObservableCollection<Department> Departments
        {
            get
            {
                return this.departments;
            }

            set
            {
                this.SetProperty(ref this.departments, value);
            }
        }

        /// <summary>
        /// Gets or sets the company name.
        /// </summary>
        /// <value>
        /// The company name.
        /// </value>
        public string Name
        {
            get
            {
                return this.name;
            }

            set
            {
                this.SetProperty(ref this.name, value);
            }
        }
    }
}
