﻿// ------------------------------------------------------------------------------
// <copyright file="Department.cs" company="skumaronline.com">
//    Copyright (C) 2012 Suresh Kumar T.  All rights reserved.
// </copyright>
// ------------------------------------------------------------------------------

namespace StoreAppLibDemo.Model
{
    using System.Collections.ObjectModel;
    using StoreAppLib;

    /// <summary>
    /// Sample data class - Department
    /// </summary>
    public class Department : BindableBase
    {
        /// <summary>
        /// Variable to hold the department name.
        /// </summary>
        private string name;

        /// <summary>
        /// Variable to hold the employees.
        /// </summary>
        private ObservableCollection<Employee> employees;

        /// <summary>
        /// Gets or sets the employees.
        /// </summary>
        /// <value>
        /// The employees.
        /// </value>
        public ObservableCollection<Employee> Employees
        {
            get
            {
                return this.employees;
            }

            set
            {
                this.SetProperty(ref this.employees, value);
            }
        }

        /// <summary>
        /// Gets or sets the department name.
        /// </summary>
        /// <value>
        /// The department name.
        /// </value>
        public string Name
        {
            get
            {
                return this.name;
            }

            set
            {
                this.SetProperty(ref this.name, value);
            }
        }
    }
}
