﻿// ------------------------------------------------------------------------------
// <copyright file="Employee.cs" company="skumaronline.com">
//    Copyright (C) 2012 Suresh Kumar T.  All rights reserved.
// </copyright>
// ------------------------------------------------------------------------------

namespace StoreAppLibDemo.Model
{
    using System.Collections.ObjectModel;
    using StoreAppLib;
    
    /// <summary>
    /// Sample data class - Employee
    /// </summary>
    public class Employee : BindableBase
    {
        /// <summary>
        /// Variable to hold the employee name.
        /// </summary>
        private string name;

        /// <summary>
        /// Variable to hold the languages known.
        /// </summary>
        private ObservableCollection<Language> languages;

        /// <summary>
        /// Gets or sets the languages known.
        /// </summary>
        /// <value>
        /// The languages known.
        /// </value>
        public ObservableCollection<Language> Languages
        {
            get
            {
                return this.languages;
            }

            set
            {
                this.SetProperty(ref this.languages, value);
            }
        }

        /// <summary>
        /// Gets or sets the employee name.
        /// </summary>
        /// <value>
        /// The employee name.
        /// </value>
        public string Name
        {
            get
            {
                return this.name;
            }

            set
            {
                this.SetProperty(ref this.name, value);
            }
        }
    }
}
